#include <cmath>
#include <bitset>
#include <limits>
#include <vector>


using namespace std;
class ExtendedVector {
    public:
        static double max(const vector<double> &v);
        static bool allPositive(const vector<double> &v);
        static double product(const vector<double> &v1, const vector<double> &v2);
        static vector<double> product(const vector<double> &v, double f);
        static double norm(const vector<double> &v);
        static void normalise(vector<double> &v);
};
